summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Guilherme Portalegre <deltas4@gmail.com>2010-05-11 20:01:23 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:23 +0200
commit3ac2202d567c20033ff7b5b04b3346d07ebde1d2 (patch)
tree9e1ea4266859950de1f61650c96b075fd3807fdb
parent25f28a44444e078626fca75176a031bba6c68605 (diff)
downloadslackbuilds-3ac2202d567c20033ff7b5b04b3346d07ebde1d2.tar.gz
slackbuilds-3ac2202d567c20033ff7b5b04b3346d07ebde1d2.tar.xz
multimedia/recordmydesktop: Added to 12.0 repository
-rw-r--r--multimedia/recordmydesktop/README8
-rw-r--r--multimedia/recordmydesktop/recordmydesktop.SlackBuild57
-rw-r--r--multimedia/recordmydesktop/recordmydesktop.info8
-rw-r--r--multimedia/recordmydesktop/slack-desc19
4 files changed, 92 insertions, 0 deletions
diff --git a/multimedia/recordmydesktop/README b/multimedia/recordmydesktop/README
new file mode 100644
index 0000000000..c91986a1be
--- /dev/null
+++ b/multimedia/recordmydesktop/README
@@ -0,0 +1,8 @@
+recordmydesktop (record desktop sessions to an Ogg-Theora-Vorbis file)
+
+recordMyDesktop produces a file(default out.ogg) that contains a video
+and audio recording of a desktop session. It attempts to be easy to
+use, yet also effective at it's primary task.
+
+It's suggested that you read the User Guide before using recordMyDesktop.
+Online guide: http://recordmydesktop.iovar.org/rug/toc.php
diff --git a/multimedia/recordmydesktop/recordmydesktop.SlackBuild b/multimedia/recordmydesktop/recordmydesktop.SlackBuild
new file mode 100644
index 0000000000..1b5dbaf13b
--- /dev/null
+++ b/multimedia/recordmydesktop/recordmydesktop.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware build script for recordMydesktop
+
+# Written by Guilherme Portalegre <deltas4@gmail.com>
+
+set -e
+
+PRGNAM=recordmydesktop
+VERSION=0.3.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+#chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+make install DESTDIR=$PKG
+
+strip --strip-unneeded $PKG/usr/bin/$PRGNAM
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/recordmydesktop/recordmydesktop.info b/multimedia/recordmydesktop/recordmydesktop.info
new file mode 100644
index 0000000000..b3ce3047d9
--- /dev/null
+++ b/multimedia/recordmydesktop/recordmydesktop.info
@@ -0,0 +1,8 @@
+PRGNAM="recordmydesktop"
+VERSION="0.3.6"
+HOMEPAGE="http://recordmydesktop.iovar.org/"
+DOWNLOAD="http://downloads.sourceforge.net/recordmydesktop/recordmydesktop-0.3.6.tar.gz"
+MD5SUM="67bf75182cb7c5189ed985672378e315"
+MAINTAINER="Guilherme Portalegre"
+EMAIL="deltas4@gmail.com"
+APPROVED="rworkman"
diff --git a/multimedia/recordmydesktop/slack-desc b/multimedia/recordmydesktop/slack-desc
new file mode 100644
index 0000000000..8b119405c0
--- /dev/null
+++ b/multimedia/recordmydesktop/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+recordmydesktop: recordmydesktop (a desktop session recorder)
+recordmydesktop:
+recordmydesktop: recordMyDesktop is a desktop session recorder for GNU/Linux
+recordmydesktop: that attemps to be easy to use, yet also effective at it's
+recordmydesktop: primary task.
+recordmydesktop:
+recordmydesktop: Homepage: http://recordmydesktop.iovar.org/
+recordmydesktop:
+recordmydesktop:
+recordmydesktop:
+recordmydesktop: